> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add product to bundle

> Add products to a product bundle



## OpenAPI

````yaml openapi-products POST /v2/products/{productId}/bundle
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v2/products/{productId}/bundle:
    post:
      tags:
        - Products
      summary: Update specific product children
      operationId: ProductApiController_addToProductBundle
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddProductsToBundleDto'
      responses:
        '200':
          description: The product variant has been successfully updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkStatusResponse'
        '400':
          description: Bad Request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestExceptionResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedExceptionResponse'
        '404':
          description: Variant not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    AddProductsToBundleDto:
      type: object
      properties:
        productIds:
          description: >-
            Your internal product ids that you would like to add to this bundle,
            they must be created in OrderProtection first
          example:
            - product-1
            - product-2
            - product-2
          default: []
          type: array
          items:
            type: string
      required:
        - productIds
    OkStatusResponse:
      type: object
      properties:
        status:
          type: string
          readOnly: true
          deprecated: false
          example: ok
      required:
        - status
    BadRequestExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: '''sourceOrderId'' is required'
        statusCode:
          type: number
          readOnly: true
          example: 400
      required:
        - message
        - statusCode
    UnauthorizedExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Unauthorized
        statusCode:
          type: number
          readOnly: true
          example: 401
      required:
        - message
        - statusCode
    NotFoundExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Not Found
        error:
          type: string
          readOnly: true
          example: Not Found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````